%define api 1.0
%define major     2
%define girname %mklibname gusb-gir %{api}
%define libname   %mklibname gusb %{major}
%define develname %mklibname gusb -d

Summary:   GLib wrapper around libusb1
Name:      libgusb
Version:   0.1.6
Release:   5
License:   LGPLv2+
Group:     System/Libraries
URL:       https://gitorious.org/gusb/
Source0:   http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires: glib2-devel >= 2.16.1
BuildRequires: libtool
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libusb-1.0)

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.

%package -n %{libname}
Summary:   GLib wrapper around libusb1
Group:     System/Libraries

%description -n %{libname}
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Conflicts: %{libname} < %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary: Libraries and headers for gusb
Group: Development/C
Provides: %{name}-devel = %{EVRD}
Requires: %{libname} = %{version}
Requires: %{girname} = %{version}


%description -n %{develname}
GLib headers and libraries for gusb.

%prep
%setup -q

%build
autoreconf -fi
%configure \
        --disable-static \
        --disable-dependency-tracking

%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/libgusb.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libname}
%{_libdir}/libgusb.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/GUsb-%{api}.typelib

%files -n %{develname}
%doc README AUTHORS NEWS COPYING
%{_includedir}/gusb-1
%{_libdir}/libgusb.so
%{_libdir}/pkgconfig/gusb.pc
%{_datadir}/gtk-doc/html/gusb
%{_datadir}/gir-1.0/GUsb-*.gir


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.1.6-5
+ Revision: 8b006c6
- MassBuild#440: Increase release tag


